joonis Logo

Python FinTech Dokumentation

Die Dokumentation ist derzeit nur in englischer Sprache verfügbar.

Installation

The FinTech package is available for Python 2.6 and 2.7 (32/64 bit) on PyPI (Python Package Index). If you need a solution for Python 3 or any other programming language, have a look at the XML-RPC server.

The FinTech library depends on the following packages:

Pillow is only required if you want to scan SEPA mandates for printed barcodes which hold the mandate reference number.

Linux / OS X

Install it with easy_install:

easy_install fintech

Or use pip:

pip install fintech

If setuptools is not installed, download the source package, extract it and run:

python setup.py install

In the latter case you must also manually install all dependencies.

Windows

Install all above-mentioned packages. Executables can be found on the corresponding PyPI sites with the exception of PyCrypto. These installers are listed below. PyCrypto packages were build against MPIR and therefore include the _fastmath module. Be sure to download the correct installer in terms of the used Python version and bitness.

Package registration

The Python FinTech package

fintech.register(name=None, keycode=None, users=None, hosts=None)

Registers the FinTech package.

It is required to call this function once before any submodule can be imported. Without a valid license the functionality is restricted.

Parameters:
  • name – The name of the licensee.
  • keycode – The keycode of the licensed version.
  • users – The licensed EBICS user ids (Teilnehmer-IDs). It must be a string or a list of user ids.
  • hosts – The licensed EBICS host ids (Host-IDs). It must be a string or a list of host ids.
exception fintech.FintechLicenseError

Exception concerning the license

Example

import fintech
# Register an unlicensed version
fintech.register()
# Register a licensed version
fintech.register('LICENSEE_NAME', 'KEYCODE', 'EBICS_USER_ID')

Kann ich
  Ihnen helfen?


Schreiben Sie mir
doch einfach unter
giraffe@joonis.de